#
# spec file for package python-sphinx-testing
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-sphinx-testing
Version:        0.7.1
Release:        1.1
License:        BSD-2-Clause
Summary:        testing utility classes and functions for Sphinx extensions
Url:            https://github.com/sphinx-doc/sphinx-testing
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/s/sphinx-testing/sphinx-testing-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-Sphinx
# test requirements
BuildRequires:  python-mock
Requires:       python-six
Requires:       python-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
sphinx-testing provides testing utility classes and functions for Sphinx extensions.

%prep
%setup -q -n sphinx-testing-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Sep  5 2016 tbechtold@suse.com
- Initial packaging (version 0.7.1)
